"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AnthropicApi = void 0;
class AnthropicApi {
    constructor() {
        this.name = 'anthropicApi';
        this.displayName = 'Anthropic';
        this.documentationUrl = 'anthropic';
        this.properties = [
            {
                displayName: 'API Key',
                name: 'apiKey',
                type: 'string',
                typeOptions: { password: true },
                required: true,
                default: '',
            },
        ];
        this.authenticate = {
            type: 'generic',
            properties: {
                headers: {
                    'x-api-key': '={{$credentials.apiKey}}',
                },
            },
        };
        this.test = {
            request: {
                baseURL: 'https://api.anthropic.com',
                url: '/v1/complete',
                method: 'POST',
                headers: {
                    'anthropic-version': '2023-06-01',
                },
                body: {
                    model: 'claude-2',
                    prompt: '\n\nHuman: Hello, world!\n\nAssistant:',
                    max_tokens_to_sample: 256,
                },
            },
        };
    }
}
exports.AnthropicApi = AnthropicApi;
//# sourceMappingURL=AnthropicApi.credentials.js.map