"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPostgresDataSource = void 0;
const typeorm_1 = require("typeorm");
async function getPostgresDataSource() {
    const credentials = await this.getCredentials('postgres');
    const dataSource = new typeorm_1.DataSource({
        type: 'postgres',
        host: credentials.host,
        port: credentials.port,
        username: credentials.user,
        password: credentials.password,
        database: credentials.database,
    });
    if (credentials.allowUnauthorizedCerts === true) {
        dataSource.setOptions({
            ssl: {
                rejectUnauthorized: true,
            },
        });
    }
    else {
        dataSource.setOptions({
            ssl: !['disable', undefined].includes(credentials.ssl),
        });
    }
    return dataSource;
}
exports.getPostgresDataSource = getPostgresDataSource;
//# sourceMappingURL=postgres.js.map