import type { HfInferenceEndpoint } from '@huggingface/inference';
import { HfInference } from '@huggingface/inference';
import type { EmbeddingsParams } from 'langchain/embeddings/base';
import { Embeddings } from 'langchain/embeddings/base';
export interface HuggingFaceInferenceEmbeddingsParams extends EmbeddingsParams {
    apiKey?: string;
    model?: string;
    endpointUrl?: string;
}
export declare class HuggingFaceInferenceEmbeddings extends Embeddings implements HuggingFaceInferenceEmbeddingsParams {
    apiKey?: string;
    model: string;
    endpointUrl?: string;
    client: HfInference | HfInferenceEndpoint;
    constructor(fields?: HuggingFaceInferenceEmbeddingsParams);
    _embed(texts: string[]): Promise<number[][]>;
    embedQuery(document: string): Promise<number[]>;
    embedDocuments(documents: string[]): Promise<number[][]>;
}
