"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ToolCalculator = void 0;
const calculator_1 = require("langchain/tools/calculator");
const logWrapper_1 = require("../../../utils/logWrapper");
class ToolCalculator {
    constructor() {
        this.description = {
            displayName: 'Calculator',
            name: 'toolCalculator',
            icon: 'fa:calculator',
            group: ['transform'],
            version: 1,
            description: 'Use Calculator',
            defaults: {
                name: 'Calculator',
            },
            codex: {
                categories: ['AI'],
                subcategories: {
                    AI: ['Tools'],
                },
                resources: {
                    primaryDocumentation: [
                        {
                            url: 'https://docs.n8n.io/integrations/builtin/cluster-nodes/sub-nodes/n8n-nodes-langchain.toolcalculator/',
                        },
                    ],
                },
            },
            inputs: [],
            outputs: ["ai_tool"],
            outputNames: ['Tool'],
            properties: [],
        };
    }
    async supplyData() {
        return {
            response: (0, logWrapper_1.logWrapper)(new calculator_1.Calculator(), this),
        };
    }
}
exports.ToolCalculator = ToolCalculator;
//# sourceMappingURL=ToolCalculator.node.js.map