import type { Document } from 'langchain/document';
import type { Embeddings } from 'langchain/embeddings/base';
import { MemoryVectorStore } from 'langchain/vectorstores/memory';
export declare class MemoryVectorStoreManager {
    private static instance;
    private vectorStoreBuffer;
    private embeddings;
    private constructor();
    static getInstance(embeddings: Embeddings): MemoryVectorStoreManager;
    getVectorStore(memoryKey: string): Promise<MemoryVectorStore>;
    addDocuments(memoryKey: string, documents: Document[], clearStore?: boolean): Promise<void>;
}
