"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.processDocument = exports.processDocuments = void 0;
const N8nJsonLoader_1 = require("../../../utils/N8nJsonLoader");
const N8nBinaryLoader_1 = require("../../../utils/N8nBinaryLoader");
async function processDocuments(documentInput, inputItems) {
    let processedDocuments;
    if (documentInput instanceof N8nJsonLoader_1.N8nJsonLoader || documentInput instanceof N8nBinaryLoader_1.N8nBinaryLoader) {
        processedDocuments = await documentInput.processAll(inputItems);
    }
    else {
        processedDocuments = documentInput;
    }
    const serializedDocuments = processedDocuments.map(({ metadata, pageContent }) => ({
        json: { metadata, pageContent },
    }));
    return {
        processedDocuments,
        serializedDocuments,
    };
}
exports.processDocuments = processDocuments;
async function processDocument(documentInput, inputItem, itemIndex) {
    let processedDocuments;
    if (documentInput instanceof N8nJsonLoader_1.N8nJsonLoader || documentInput instanceof N8nBinaryLoader_1.N8nBinaryLoader) {
        processedDocuments = await documentInput.processItem(inputItem, itemIndex);
    }
    else {
        processedDocuments = documentInput;
    }
    const serializedDocuments = processedDocuments.map(({ metadata, pageContent }) => ({
        json: { metadata, pageContent },
        pairedItem: {
            item: itemIndex,
        },
    }));
    return {
        processedDocuments,
        serializedDocuments,
    };
}
exports.processDocument = processDocument;
//# sourceMappingURL=processDocuments.js.map